<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class DraftOrderValidation extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    { 
        return [
            'firstName' => 'required',
            'lastName' => 'required',
            'email' => 'required|email',
            // 'billFirstname' => 'required',
            // 'billLastname'  => 'required',
            // 'billAddress1'  => 'required',
            // 'billCity'      => 'required',
            // 'billProvince'  => 'required',
            // 'billCountry'   => 'required',
            // 'billZip'       => 'required',
            // 'shipFirstname' => 'required',
            // 'shipLastname'  => 'required',
            // 'shipAddress1'  => 'required',
            // 'shipCity'      => 'required',
            // 'shipProvince'  => 'required',
            // 'shipCountry'   => 'required',
            // 'shipZip'       => 'required',
            'prod-variant-id' => 'required'
        ];
    }

    public function messages()
    {   
        return [
            'firstName.required'        => 'The first name is required.',
            'lastName.required'         => 'The last name is required.',
            'email.required'            => 'The email is required.',
            // 'billFirstname.required'    => 'The billing first name is required.',
            // 'billLastname.required'     => 'The billing last name is required.',
            // 'billAddress1.required'     => 'The billing address is required.',
            // 'billCity.required'         => 'The billing city is required.',
            // 'billProvince.required'     => 'The billing province is required.',
            // 'billCountry.required'      => 'The billing country is required.',
            // 'billZip.required'          => 'The billing zip is required.',
            // 'shipFirstname.required'    => 'The shipping first name is required.',
            // 'shipLastname.required'     => 'The shipping last name is required.',
            // 'shipAddress1.required'     => 'The shipping address is required.',
            // 'shipCity.required'         => 'The shipping city is required.',
            // 'shipProvince.required'     => 'The shipping province is required.',
            // 'shipCountry.required'      => 'The shipping country is required.',
            // 'shipZip.required'          => 'The shipping zip is required.',
            'prod-variant-id.required'  => 'Please add atleast one list item',
        ];
    }
}
