<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <link rel="stylesheet" href="https://unpkg.com/@shopify/polaris@4.0.0/styles.min.css"/>
  <link rel="stylesheet" href="{{ URL::asset('css/custom.css') }}"/>

  <style>
    .Polaris-DataTable__Cell{
      white-space: normal;
    }
    .Polaris-DataTable__Table {
      table-layout: fixed;
    }
    .Polaris-DataTable__Cell--numeric {
      text-align: left;
    }
    .td {
      word-break: break-word
    }
    .mainDiv {
        max-width: 159.8rem;
    }
    .Polaris-DataTable__Cell--verticalAlignTop {
        vertical-align: middle !important;
    }
    .progress-circle {
      top: 0;
    }
  </style>
</head>
<body>
  <div style="--top-bar-background:#00848e; --top-bar-background-lighter:#1d9ba4; --top-bar-color:#f9fafb; --p-frame-offset:0px;">
    <div class="Polaris-Page mainDiv">
      <div class="header_section">
        <div class="left_header">
          <div class="Polaris-Page-Header">
            <div class="Polaris-Page-Header__MainContent">
              <div class="Polaris-Page-Header__TitleActionMenuWrapper">
                <div>
                  <div class="Polaris-Header-Title__TitleAndSubtitleWrapper">
                    <div class="Polaris-Header-Title">
                      <h1 class="Polaris-DisplayText Polaris-DisplayText--sizeLarge">Quiz Details</h1>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="right_header">
        <?php if ($quizCount >= 1) { ?>
          <button class="Polaris-Button Polaris-Button--destructive" type="button">
            <span class="Polaris-Button__Content">
              <input type="hidden" class="sessionIds" value={{$sessionIds}} customer-email={{$email}}>
              @csrf
              <span class="Polaris-Button__Text delete_quiz">Delete All Quizzes</span>
            </span>
          </button>
        <?php } ?>
        </div>
      </div>
      <div class="Polaris-Page__Content">
        <div class="Polaris-Card">
          <div class="">

            <div class="Polaris-DataTable__Navigation">
              <button type="button" class="Polaris-Button Polaris-Button--disabled Polaris-Button--plain Polaris-Button--iconOnly" disabled="" aria-label="Scroll table left one column">
                <span class="Polaris-Button__Content">
                  <span class="Polaris-Button__Icon">
                    <span class="Polaris-Icon">
                      <svg viewBox="0 0 20 20" class="Polaris-Icon__Svg" focusable="false" aria-hidden="true">
                        <path d="M12 16a.997.997 0 0 1-.707-.293l-5-5a.999.999 0 0 1 0-1.414l5-5a.999.999 0 1 1 1.414 1.414L8.414 10l4.293 4.293A.999.999 0 0 1 12 16"
                          fill-rule="evenodd">
                        </path>
                      </svg>
                    </span>
                  </span>
                </span>
              </button>
              <button type="button" class="Polaris-Button Polaris-Button--plain Polaris-Button--iconOnly" aria-label="Scroll table right one column">
                <span class="Polaris-Button__Content">
                  <span class="Polaris-Button__Icon">
                    <span class="Polaris-Icon">
                      <svg viewBox="0 0 20 20" class="Polaris-Icon__Svg" focusable="false" aria-hidden="true">
                        <path d="M8 16a.999.999 0 0 1-.707-1.707L11.586 10 7.293 5.707a.999.999 0 1 1 1.414-1.414l5 5a.999.999 0 0 1 0 1.414l-5 5A.997.997 0 0 1 8 16"
                          fill-rule="evenodd">
                        </path>
                      </svg>
                    </span>
                  </span>
                </span>
              </button>
            </div>

            <div class="Polaris-DataTable">
              <div class="Polaris-DataTable__ScrollContainer">
                <table class="Polaris-DataTable__Table">
                  <thead>
                    <tr>
                      <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn Polaris-DataTable__Cell--header"
                        scope="col"><b>Customer Name</b></th>
                      <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--header Polaris-DataTable__Cell--numeric"
                        scope="col"><b>Email</b></th>
                      <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--header Polaris-DataTable__Cell--numeric"
                        scope="col"><b>Quizzes Taken</b></th>
                      <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--header Polaris-DataTable__Cell--numeric"
                        scope="col"><b>Quiz Date</b></th>
                      <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--header Polaris-DataTable__Cell--numeric"
                        scope="col"><b>Status</b></th>
                      <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--header Polaris-DataTable__Cell--numeric"
                        scope="col"><b>Complete (%)</b></th>
                      <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--header Polaris-DataTable__Cell--numeric"
                        scope="col"><b></b></th>
                    </tr>
                  </thead>
                  <tbody>
                  <?php
                  if ($quizCount >= 1) {
                    $i = 0;
                    foreach ($quizDetails as $sessionID => $quizContent) {
                      if ($i == 0) { ?>
                      <tr class="Polaris-DataTable__TableRow">
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn td"
                          scope="row">
                          <?php echo $customerName ?>
                          </td>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric td">
                          <?php echo $email ?>
                        </td>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn td"
                          scope="row">
                          <?php echo $quizCount ?>
                        </td>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn td quizCustomDate"
                          scope="row">
                          <?php echo $quizContent[0]->created_at ?>
                        </td>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn td"
                          scope="row">
                          <?php echo ($quizContent[0]->isrecommendation) == 'Yes' ? "Complete" : "Incomplete"   ?> 
                        </td>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn td"
                          scope="row"> 
                          <?php if ($quizContent[0]->isrecommendation == 'Yes') { ?>
                            <div class="progress-circle over50 green p100">
                              <span> 100% </span>
                              <div class="left-half-clipper">
                                <div class="first50-bar"></div>
                                <div class="value-bar"></div>
                              </div>
                            </div>
                          <?php } else {  
                            if ((count($quizContent)/50)*100  <= 49) { ?>
                                  <div class="progress-circle red p{{(count($quizContent)/50)*100}}">
                                    <span> <?php echo (count($quizContent)/50)*100 ?>% </span>
                                    <div class="left-half-clipper">
                                      <div class="first50-bar"></div>
                                      <div class="value-bar"></div>
                                    </div>
                                  </div>
                            <?php }
                            if ((count($quizContent)/50)*100 >= 50 && (count($quizContent)/50)*100 <= 89) { ?>
                                <div class="progress-circle over50 orange p{{(count($quizContent)/50)*100}}">
                                  <span> <?php echo (count($quizContent)/50)*100 ?>% </span>
                                  <div class="left-half-clipper">
                                    <div class="first50-bar"></div>
                                    <div class="value-bar"></div>
                                  </div>
                                </div>
                            <?php } 
                            if ((count($quizContent)/50)*100  >= 90 ) { ?>
                              <div class="progress-circle over50 green p{{(count($quizContent)/50)*100}}">
                                <span> <?php echo (count($quizContent)/50)*100 ?>% </span>
                                <div class="left-half-clipper">
                                  <div class="first50-bar"></div>
                                  <div class="value-bar"></div>
                                </div>
                              </div>

                            <?php } }?>
                          
                        </td>

                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric">

                          <div style="--top-bar-background:#00848e; --top-bar-background-lighter:#1d9ba4; --top-bar-color:#f9fafb; --p-frame-offset:0px;">
                              <a class="Polaris-Link btn-quizView" href="quizData?email={{urlencode($email)}}&sessionId={{$sessionID}}" data-polaris-unstyled="true" data-sessionId="{{key($quizDetails)}}" data-email="{{$email}}" >
                                  View Details
                              </a>
                            </div>
                        </td>
                      </tr>
                    <?php } else { ?>
                      <tr class="Polaris-DataTable__TableRow">
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn td"
                          scope="row">
                          </th>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric td">
                        </td>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn td"
                          scope="row">
                        </td>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn td quizCustomDate"
                          scope="row">
                          <?php echo $quizContent[0]->created_at ?>
                        </td>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn td"
                          scope="row">
                          <?php echo ($quizContent[0]->isrecommendation) == 'Yes' ? "Complete" : "Incomplete"   ?>
                        </td>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn td"
                          scope="row">
                          <?php if ($quizContent[0]->isrecommendation == 'Yes') { ?>
                            <div class="progress-circle over50 green p100">
                              <span> 100% </span>
                              <div class="left-half-clipper">
                                <div class="first50-bar"></div>
                                <div class="value-bar"></div>
                              </div>
                            </div>
                            <?php } else {  
                                  if ((count($quizContent)/50)*100 <= 49) { ?>
                                        <div class="progress-circle red p{{(count($quizContent)/50)*100}}">
                                          <span> <?php echo (count($quizContent)/50)*100 ?>% </span>
                                          <div class="left-half-clipper">
                                            <div class="first50-bar"></div>
                                            <div class="value-bar"></div>
                                          </div>
                                        </div>
                                  <?php }                                   
                                  if ((count($quizContent)/50)*100 >= 50 && (count($quizContent)/50)*100 <= 89) { ?>
                                      <div class="progress-circle over50 orange p{{(count($quizContent)/50)*100}}">
                                        <span> <?php echo (count($quizContent)/50)*100 ?>% </span>
                                        <div class="left-half-clipper">
                                          <div class="first50-bar"></div>
                                          <div class="value-bar"></div>
                                        </div>
                                      </div>

                                  <?php } 
                                  if ((count($quizContent)/50)*100  >= 90 ) { ?>
                                    <div class="progress-circle over50 green p{{(count($quizContent)/50)*100}}">
                                      <span> <?php echo (count($quizContent)/50)*100 ?>% </span>
                                      <div class="left-half-clipper">
                                        <div class="first50-bar"></div>
                                        <div class="value-bar"></div>
                                      </div>
                                    </div>

                                  <?php } }?>
                        </td>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric">
                          <div style="--top-bar-background:#00848e; --top-bar-background-lighter:#1d9ba4; --top-bar-color:#f9fafb; --p-frame-offset:0px;">
                              <a class="Polaris-Link btn-quizView" href="quizData?email={{$email}}&sessionId={{$sessionID}}" data-polaris-unstyled="true" data-sessionId="{{key($quizDetails)}}" data-email="{{$email}}" >
                                  View Details
                              </a>
                            </div>
                        </td>
                      </tr>
                    <?php }
                      $i++;
                    }
                  } else { ?>
                      <tr class="Polaris-DataTable__TableRow">
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn td"
                          scope="row">  <?php echo $customerName ?>
                        </td>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric td">
                        <?php echo $email ?>
                        </td>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn td"
                          scope="row"> -
                        </td>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn td"
                          scope="row"> - 
                          
                        </td>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn td"
                          scope="row"> -
                        
                        </td>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn td"
                          scope="row"> -
                        </td>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric">
                          <div style="--top-bar-background:#00848e; --top-bar-background-lighter:#1d9ba4; --top-bar-color:#f9fafb; --p-frame-offset:0px;">
                          </div>
                        </td>
                      </tr>
                  <?php } ?>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</body>
</html>

<script src="{{ URL::asset('js/jquery-3.1.1.min.js') }}"></script>
<script src="{{ URL::asset('js/custom.js') }}"></script>
