<html>

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <link rel="stylesheet" href="https://unpkg.com/@shopify/polaris@4.0.0/styles.min.css" />
  <link rel="stylesheet" href="{{ URL::asset('css/custom.css') }}" />

  <style>
    .Polaris-DataTable__Cell {
      white-space: normal;
    }

    .Polaris-DataTable__Table {
      table-layout: fixed;
    }

    .Polaris-DataTable__Cell--numeric {
      text-align: left;
    }

    .td {
      word-break: break-word
    }

    .mainDiv {
      max-width: 159.8rem;
    }

    .Polaris-DataTable__Cell--verticalAlignTop {
      vertical-align: middle !important;
    }

    .progress-circle {
      top: 0;
    }

    .Polaris-Card {
      background-color: transparent;
      box-shadow: none;
      min-height: 100%;
      display: inline-table;
      width: 100%;
    }

    .Polaris-Page-Header__Row {
      display: table-cell;
      vertical-align: middle;
      width: 100%;
      text-align: center;
    }

    .color-gray {
      fill: #888;
    }

    .Polaris-Button {
      margin-top: 20px;
    }

    table.validation-error{
      border: 0;
      margin: 20px auto;
      min-width: 25vw;
    }

    table.validation-error th{
      text-align: left;
    }

    table td.field {
      color: #ef7575;
    }

    .point{
      display: inline-block;
      width: 10px;
      height: 10px;
      border-radius: 50%;
      background-color: #ef7575;
      margin-right: 10px;
    }

  </style>
</head>

<body>

  <div style="--top-bar-background:#00848e; --top-bar-background-lighter:#1d9ba4; --top-bar-color:#f9fafb; --p-frame-offset:0px;">
    <div class="Polaris-Page mainDiv">
      <div class="Polaris-Page__Content">
        <div class="Polaris-Card">

          <div class="Polaris-Page-Header__Row">
            <svg viewBox="0 0 20 20" class="Icon_Icon__Dm3QW color-gray" style="width: 100px; height: 100px;">
              <path fill-rule="evenodd" d="M10 20c5.514 0 10-4.486 10-10s-4.486-10-10-10-10 4.486-10 10 4.486 10 10 10zm1-6a1 1 0 1 1-2 0v-4a1 1 0 1 1 2 0v4zm-1-9a1 1 0 1 0 0 2 1 1 0 0 0 0-2z"></path>
            </svg>

            <h1 class="Polaris-DisplayText Polaris-DisplayText--sizeLarge" style="margin-top: 20px;"> {{ $error['error'] ?? 'Oops! Something went wrong.'}}</h1>
            @if(!empty($error['message']) && is_array($error['message']))
            <table class="validation-error">
              @foreach($error['message'] as $key=>$message)
              <tr>
                <td><span class="point"></span>{{ $message }}</td>
              </tr>
              @endforeach
            </table>
            @endif
            <a href="{{ url()->previous() }}" class="Polaris-Button Polaris-Button--primary" type="button">
              <span class="Polaris-Button__Content">
                <span class="Polaris-Button__Text">Back</span>
              </span>
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>

</body>

</html>


<script src="{{ URL::asset('js/jquery-3.1.1.min.js') }}"></script>
<script src="{{ URL::asset('js/custom.js') }}"></script>
