<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// This endpoint is called from the app's home page to get all customers' quiz details.
Route::get('/', 'QuizController@quizList')->middleware(['auth.shopify'])->name('same.site');

// This endpoint is called from the customer's page to get his all quiz details.
Route::get('/getQuizDetails', 'QuizController@getQuizDetails')->middleware(['auth.shopify'])->name('same.site');

// This endpoint is used to get the quiz details based on the selected session Id.
Route::get('/quizData', 'QuizController@getQuizDetailById')->middleware(['auth.shopify'])->name('same.site');

// This endpoint is used to get the quiz details based on the given email address.
Route::get('/customerData', 'QuizController@getCustomerDetails')->middleware(['auth.shopify'])->name('same.site');

// The endpoint is used to delete customer and quiz history details.
Route::post('/deleteQuiz', 'QuizController@deleteQuiz')->middleware(['auth.shopify'])->name('deleteQuiz');
