<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <link rel="stylesheet" href="https://unpkg.com/@shopify/polaris@4.0.0/styles.min.css"/>
  <link rel="stylesheet" href="<?php echo e(URL::asset('css/custom.css')); ?>"/>
  <style>
    .Polaris-DataTable__Cell--numeric {
        text-align: left;
    }
    .linkDiv {
        text-align: center;
    }
    .linkDiv li {
      display: inline;
    }
    .Polaris-TextContainer .pagination li{
      display:inline-block;
    }
    .Polaris-TextContainer .pagination li a{
      background: #fff;
      border: 1px solid #ddd;
      padding: 5px;
      border-radius: 5px;
      color: #232062;
    }
    .Polaris-TextContainer .pagination li a:hover{
      text-decoration:none;
      color:#000;
      background: #e0dfdf;
    }
    .Polaris-DataTable__Cell--verticalAlignTop {
        vertical-align: middle !important;
    }
    .progress-circle{
      top: 0 !important;
    }
  </style>
</head>
<body>
  <div style="--top-bar-background:#00848e; --top-bar-background-lighter:#1d9ba4; --top-bar-color:#f9fafb; --p-frame-offset:0px;">
    <div class="Polaris-Card">
      <div class="Polaris-Card__Header">
        <h2 class="Polaris-Heading">View Quiz details</h2>
      </div>
      <div class="Polaris-Card__Section">
        <table class="Polaris-DataTable__Table">
          <thead>
            <tr>
              <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn Polaris-DataTable__Cell--header" scope="col"><b>Name</b></th>
              <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--header Polaris-DataTable__Cell--numeric" scope="col"><b>Email</b></th>
              <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--header Polaris-DataTable__Cell--numeric" scope="col"><b>Quizzes Taken</b></th>
              <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--header Polaris-DataTable__Cell--numeric" scope="col"><b>Date</b></th>
              <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--header Polaris-DataTable__Cell--numeric" scope="col"><b>Complete (%)</b></th>
              <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--header Polaris-DataTable__Cell--numeric" scope="col"><b></b></th>
            </tr>
          </thead>
          <tbody>
          <?php
            if (isset($customers) && !empty($customers)) {
              foreach ($customers as $customer) {
                  $query_string = 'email=' . urlencode($customer['email']) . '&name=' . urlencode($customer['name']);
                  $href = "customerData?" . $query_string;  //htmlentities
                ?>
                <tr class="Polaris-DataTable__TableRow">
                  <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn" scope="row">
                      <?php if (empty(trim($customer['name']))) {
                          echo $customer['name'];
                      } else {
                        echo isset($customerNames[$customer['email']]) ? $customerNames[$customer['email']] : '';
                      } ?>
                  </td>
                  <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric"><?php echo $customer['email'] ?></td>
                  <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric">
                    <?php echo isset($quizDetails[$customer['email']]) ? count($quizDetails[$customer['email']]) : 0; ?>
                  </td>
                  <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric quizCustomDate">
                    <?php if(isset($quizDetails[$customer['email']]) && count($quizDetails[$customer['email']]) > 1 ) {
                        
                      echo end($quizDetails[$customer['email']])['created_at'] ;
                      
                    } else if (isset($quizDetails[$customer['email']]) && count($quizDetails[$customer['email']]) == 1){
                      echo reset($quizDetails[$customer['email']])['created_at'];
                    } else {
                      echo "";
                    }
                      ?>
                  </td>
                  <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric">
                  
                  <?php if (isset($percentDetails[$customer['email']])) { 
                    if($percentDetails[$customer['email']] == '100') { ?>
                        <div class="progress-circle over50 green p100">
                          <span> 100% </span>
                          <div class="left-half-clipper">
                            <div class="first50-bar"></div>
                            <div class="value-bar"></div>
                          </div>
                        </div> </td>
                    <?php } else {  
                          if ($percentDetails[$customer['email']] <= 49) { ?>
                                <div class="progress-circle red p<?php echo e($percentDetails[$customer['email']]); ?>">
                                  <span> <?php echo $percentDetails[$customer['email']] ?>% </span>
                                  <div class="left-half-clipper">
                                    <div class="first50-bar"></div>
                                    <div class="value-bar"></div>
                                  </div>
                                </div> 
                          <?php }
                                                                    
                          if ($percentDetails[$customer['email']] >= 50 && $percentDetails[$customer['email']] <= 89) { ?>
                              <div class="progress-circle over50 orange p<?php echo e($percentDetails[$customer['email']]); ?>">
                                <span> <?php echo $percentDetails[$customer['email']] ?>% </span>
                                <div class="left-half-clipper">
                                  <div class="first50-bar"></div>
                                  <div class="value-bar"></div>
                                </div>
                              </div> 
                          <?php } 
                          if ($percentDetails[$customer['email']]  >= 90 ) { ?>
                            <div class="progress-circle over50 green p<?php echo e($percentDetails[$customer['email']]); ?>">
                              <span> <?php echo $percentDetails[$customer['email']] ?>% </span>
                              <div class="left-half-clipper">
                                <div class="first50-bar"></div>
                                <div class="value-bar"></div>
                              </div>
                            </div> 

                          <?php } 
                      }  ?>
                  </td>
                  <?php } else { ?>
                    <div class="progress-circle red p0">
                      <span> 0% </span>
                      <div class="left-half-clipper">
                        <div class="first50-bar"></div>
                        <div class="value-bar"></div>
                      </div>
                    </div> </td>
                  <?php } ?>
                  
                  <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric">
                    <div style="--top-bar-background:#00848e; --top-bar-background-lighter:#1d9ba4; --top-bar-color:#f9fafb; --p-frame-offset:0px;">
                          <?php $fullUrl = Request::fullUrl(); 
                          $segmentUrl = explode('?',$fullUrl)[1];
                          ?>
                          <a class="Polaris-Link btn-quizView" data-src="<?php echo e(Request::fullUrl()); ?>" href="<?php echo e($href); ?>" data-polaris-unstyled="true" data-sessionId="" data-email="<?php echo e($customer['email']); ?>" >
                              View Details
                          </a>
                    </div>
                  </td>
                </tr>
              <?php }
            } ?>
          </tbody>
        </table>
      </div>
    </div>
    <div class="Polaris-TextContainer linkDiv">

      <p>
      <ul style="list-style:none" class='pagination text-center' id="pagination">

    <?php
    $fullUrl = Request::fullUrl(); 
    $segmentUrl1 = explode('?',$fullUrl)[1];
    $segmentUrl1 = trim($segmentUrl1);
    if (!empty($previousLink)) { ?>
      <li id="PrevLink" class="active" ><a class="Polaris-Link" ata-polaris-unstyled="true"
      href='<?php echo e(url('/')); ?>?page=<?=$previousLink;?>'>&nbsp;<?='< Previous';?>&nbsp;</a></li>
      <?php }
    if (!empty($nextLink)) { ?>
      <li id="NextLink" class="active" ><a class="Polaris-Link" ata-polaris-unstyled="true"
      href='<?php echo e(url('/')); ?>?page=<?=$nextLink;?>'>&nbsp;<?='Next >';?>&nbsp;</a></li>
      <?php }?>
      </ul></p>
    </div>
  </div>
  </div>
</body>
</html>

<script src="<?php echo e(URL::asset('js/jquery-3.1.1.min.js')); ?>"></script>
<script src="<?php echo e(URL::asset('js/custom.js')); ?>"></script>
<?php /**PATH /home/nurishp80w/public_html/staging/version-2/port80-custom-quizdetails/resources/views/welcome.blade.php ENDPATH**/ ?>